Loading...
Searching...
No Matches
mongocxx::text_options::suffix Class Reference

`#include <mongocxx/v1/text_options.hpp>`

## Description

Options related to suffix queries in Queryable Encryption.

Attention
  This feature is experimental! It is not ready for use!

## Public Member Functions

| suffix ()
| Default initialization.
| suffix (suffix &&other) noexcept
| Move constructor.
| suffix (suffix const &other)
| Copy construction.
| ~suffix ()
| Destroy this object.
suffix & | operator= (suffix &&other) noexcept
| Move assignment.
suffix & | operator= (suffix const &other)
| Copy assignment.
bsoncxx::v1::stdx::optional< std::int32_t > | str_max_query_length () const
| Return the current "strMaxQueryLength" field.
suffix & | str_max_query_length (std::int32_t v)
| Set the "strMaxQueryLength" field.
bsoncxx::v1::stdx::optional< std::int32_t > | str_min_query_length () const
| Return the current "strminQueryLength" field.
suffix & | str_min_query_length (std::int32_t v)
| Set the "strminQueryLength" field.

## Constructor & Destructor Documentation

## ~suffix()

mongocxx::v1::text_options::suffix::~suffix | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated views.

## suffix() [1/3]

mongocxx::v1::text_options::suffix::suffix | ( | suffix && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## suffix() [2/3]

mongocxx::v1::text_options::suffix::suffix | ( | suffix const & | other | ) |

Copy construction.

## suffix() [3/3]

mongocxx::v1::text_options::suffix::suffix | ( |  | ) |

Default initialization.

Postconditions:
  - All supported fields are "unset" or zero-initialized.

## Member Function Documentation

## operator=() [1/2]

suffix & mongocxx::v1::text_options::suffix::operator= | ( | suffix && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

suffix & mongocxx::v1::text_options::suffix::operator= | ( | suffix const & | other | ) |

Copy assignment.

## str_max_query_length() [1/2]

bsoncxx::v1::stdx::optional< std::int32_t > mongocxx::v1::text_options::suffix::str_max_query_length | ( |  | ) | const

Return the current "strMaxQueryLength" field.

## str_max_query_length() [2/2]

suffix & mongocxx::v1::text_options::suffix::str_max_query_length | ( | std::int32_t | v | ) |

Set the "strMaxQueryLength" field.

## str_min_query_length() [1/2]

bsoncxx::v1::stdx::optional< std::int32_t > mongocxx::v1::text_options::suffix::str_min_query_length | ( |  | ) | const

Return the current "strminQueryLength" field.

## str_min_query_length() [2/2]

suffix & mongocxx::v1::text_options::suffix::str_min_query_length | ( | std::int32_t | v | ) |

Set the "strminQueryLength" field.

The documentation for this class was generated from the following file:

- mongocxx/v1/text_options.hpp